Skip to main content
PUT
Update Federation Webhook Endpoint

Authorizations

X-API-Key
string
header
required

Path Parameters

federation_id
string<uuid>
required
endpoint_id
string
required

Body

application/json
url
string<uri>
required
Minimum string length: 1
Example:

"https://example.com/webhook/"

channels
string[] | null

List of message channels this endpoint listens to (omit for all)

Required array length: 1 - 10 elements
Maximum string length: 128
Pattern: ^[a-zA-Z0-9\-_.]+$
Example:
description
string | null
default:""
Example:

"An example endpoint name"

disabled
boolean | null
default:false
Example:

false

filter_types
string[] | null
Minimum array length: 1

The event type's name

Maximum string length: 256
Pattern: ^[a-zA-Z0-9\-_.]+$
Example:
metadata
Metadata · object | null
rate_limit
integer | null
Required range: x >= 1
uid
string | null

Optional unique identifier for the endpoint

Required string length: 1 - 256
Pattern: ^[a-zA-Z0-9\-_.]+$
Example:

"unique-ep-identifier"

version
integer | null
default:1
Required range: x >= 1
Example:

1

Response

Successful Response

created_at
string<date-time>
required
description
string
required

An example endpoint name

id
string
required

The ep's ID

Example:

"ep_1srOrx2ZWZBpBUvZwXKQmoEYga2"

metadata
Metadata · object
required
updated_at
string<date-time>
required
url
string<uri>
required
Minimum string length: 1
Example:

"https://example.com/webhook/"

version
integer
required
Required range: x >= 1
Example:

1

channels
string[] | null

List of message channels this endpoint listens to (omit for all)

Required array length: 1 - 10 elements
Maximum string length: 128
Pattern: ^[a-zA-Z0-9\-_.]+$
Example:
disabled
boolean | null
default:false
Example:

false

filter_types
string[] | null
Minimum array length: 1

The event type's name

Maximum string length: 256
Pattern: ^[a-zA-Z0-9\-_.]+$
Example:
rate_limit
integer | null
Required range: x >= 0
uid
string | null

Optional unique identifier for the endpoint

Required string length: 1 - 256
Pattern: ^[a-zA-Z0-9\-_.]+$
Example:

"unique-ep-identifier"